<div class="block-center">
    <div class="form-group" (click)="showModalUpdate(icon, footerTmpl)">
        <nz-input-group [nzSuffix]="suffixIconSearch" class="input">
            <input type="text" nz-input [(ngModel)]="value" placeholder="{{ 'common.label.choose' | translate }}" readonly />
        </nz-input-group>
        <ng-template #suffixIconSearch>
            <mb-button *ngIf="functionId && functionId !== ''" mbButtonType="ONLY_ICON" mbButtonIconType="ZORRO" mbPrefixIcon="close"
                (click)="clearData($event);"></mb-button>
        </ng-template>
    </div>
    <div class="btn fm-center">
        <mb-button mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="showModalUpdate(icon, footerTmpl)"
            mbButtonAvailableStyle="PRIMARY" mbPrefixIcon="search"></mb-button>
    </div>
</div>

<ng-template #icon>
    <em nz-icon (click)="modal?.getContentComponent().close()" [nzType]="'close'"></em>
</ng-template>

<ng-template #footerTmpl>
    <mb-button mbButtonType="BORDER"  mbButtonSize="LARGE" (click)="modal?.getContentComponent().close()" mbButtonBgColor="transparent"
      mbButtonAvailableStyle="DEFAULT" mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal?.getContentComponent().choose()"
      mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.select' | translate}}"></mb-button>
</ng-template>
